curl -X PATCH "https://api.scanova.io/page-template/user-42-my-landing-page-d4e5f6/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "My Landing Page (v2)" }'
{
"id": 9,
"name": "My Landing Page (v2)",
"slug": "user-42-my-landing-page-d4e5f6",
"description": "A custom page.",
"category": null,
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": [],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": null,
"is_premium": false,
"is_system": false,
"is_favourited": false,
"order": 0
}
Themes & Seitenvorlagen
Seitenvorlage aktualisieren
PATCH /page-template//
PATCH
/
page-template
/
{slug}
/
curl -X PATCH "https://api.scanova.io/page-template/user-42-my-landing-page-d4e5f6/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "My Landing Page (v2)" }'
{
"id": 9,
"name": "My Landing Page (v2)",
"slug": "user-42-my-landing-page-d4e5f6",
"description": "A custom page.",
"category": null,
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": [],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": null,
"is_premium": false,
"is_system": false,
"is_favourited": false,
"order": 0
}
Aktualisiert eine Seitenvorlage, die diesem Konto gehört, auf dem Management-API-Host (
Akzeptiert dieselben Felder
Nur Ihre eigenen Nicht-System-Vorlagen sind hier schreibbar — eine System-Vorlage oder die eines anderen Kontos liefert
api.scanova.io), authentifiziert mit Ihrem rohen Management-API-Schlüssel.
PATCH https://api.scanova.io/page-template/{slug}/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
erforderlich
Der
slug der Vorlage.name/description/blocks_json/theme/accent_color/preview_bg, die unter Seitenvorlage erstellen dokumentiert sind. Es wird nur PATCH unterstützt (kein PUT).
curl -X PATCH "https://api.scanova.io/page-template/user-42-my-landing-page-d4e5f6/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-H "Content-Type: application/json" \
-d '{ "name": "My Landing Page (v2)" }'
{
"id": 9,
"name": "My Landing Page (v2)",
"slug": "user-42-my-landing-page-d4e5f6",
"description": "A custom page.",
"category": null,
"theme": {
"id": 7,
"name": "Ocean Breeze",
"slug": "user-42-ocean-breeze-a1b2c3",
"description": "A cool blue palette.",
"config_json": { "color": { "accent": "#0077be", "background": "#f0f8ff" } },
"schema_version": 2,
"category_hints": ["website-url"],
"thumbnail_url": "https://cdn.scanova.io/themes/7/thumb.png",
"is_system": false,
"is_premium": false,
"order": 0
},
"blocks_json": [{ "type": "hero" }],
"filter_tags": [],
"accent_color": "#0077be",
"preview_bg": "#f0f8ff",
"thumbnail_url": null,
"is_premium": false,
"is_system": false,
"is_favourited": false,
"order": 0
}
404, wie beim Eigentümerverhalten von Theme aktualisieren.
Verwandte Themen
- Seitenvorlage abrufen — vor der Aktualisierung ansehen.
- Seitenvorlage erstellen — die Feldreferenz, die dieses Update wiederverwendet.
- Seitenvorlage löschen — vollständig entfernen.
- Übersicht über die Management API — das Authentifizierungsschema und die Quota-Regeln für diesen Endpunkt.
Autorisierungen
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
Pfadparameter
Antwort
Template updated.
War diese Seite hilfreich?